
package com.tmerclub.cloud.order.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Document("order")
public class MongoSpuSoldNumRankVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "商品销量")
    private Integer totalNum;

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Integer totalNum) {
        this.totalNum = totalNum;
    }

    @Override
    public String toString() {
        return "MongoSpuSoldNumRankVO{" +
                "spuId=" + spuId +
                ", totalNum=" + totalNum +
                '}';
    }
}
